[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: also detect network failures 'Cannot initiate the connection'

Holger Levsen holger at moszumanska.debian.org
Sat Mar 21 10:04:36 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit f1c5e2112fb389989d22ef44a480b907c047d265
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Mar 21 11:03:51 2015 +0100

    reproducible: also detect network failures 'Cannot initiate the connection'
---
 bin/reproducible_maintainance.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 2a8ee1e..c1ea894 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -89,7 +89,7 @@ fi
 # only grep through the last 5h (300 minutes) of builds...
 # (ignore "*None.rbuild.log" because these are build which were just started)
 # this job runs every 4h
-FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \; || true)
+FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to)' {} \; || true)
 if [ ! -z "$FAILED_BUILDS" ] ; then
 	echo
 	echo "Warning: the following failed builds have been found"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list